Subject: RE: Ft. Pierce HD King Contact
From: [email-masked]
To: [email-masked]
Date: Thu, 24 May 2001 06:35:31 -0700 (PDT)

Will do.

 -----Original Message-----
From: 	Weldon, V. Charles  
Sent:	Thursday, May 24, 2001 8:34 AM
To:	Breese, Mark; Leach, Doug
Cc:	Fairley, David
Subject:	RE: Ft. Pierce HD King Contact

Just want to remind everyone that the exact quantity is 202,000 gallons, isn't that right David?

 -----Original Message-----
From: 	Breese, Mark  
Sent:	Thursday, May 24, 2001 8:17 AM
To:	Leach, Doug
Cc:	Weldon, V. Charles
Subject:	RE: Ft. Pierce HD King Contact

I spoke with David regarding this email.  He will call Ed and clarify how we are doing this deal.  Thanks for your assistance -- do you need anything else?

 -----Original Message-----
From: 	Leach, Doug  
Sent:	Thursday, May 24, 2001 7:31 AM
To:	Weldon, V. Charles
Cc:	Breese, Mark; Golden, Bruce
Subject:	RE: Ft. Pierce HD King Contact

I spoke to Ed and Steve Treece at the plant this morning. Please confirm that Fort Pierce Utilities Authority is the buyer of record and whom do we send the invoices to. Both Ed and Steve were confused regarding this issue. I also need in writing asap (email ok) from someone within the project deal team that Enron will guarantee the fuel payment on behalf of FPUA. You need to be aware that the plant only has one truck unloading bay. That is fine with a 200,000 gallon tank fill with no rush, but will be unacceptable when you need the 800,000 gallons tank fill or are burning diesel as a primary fuel. What plans are in the works to build another truck unloading bay? When will that bay be operational?

 -----Original Message-----
From: 	Weldon, V. Charles  
Sent:	Wednesday, May 23, 2001 4:44 PM
To:	Leach, Doug
Cc:	Breese, Mark
Subject:	Ft. Pierce HD King Contact

Doug,

The contact at the HD King plant is Ed Leongomez.  His phone number is 561-464-5792.  Ed is the plant superintendent and can coordinate all issues regarding the fuel oil either directly or indirectly.  (He happened to call today so he should be glad to hear from us)

Thanks,

Charlie